package com.ejie.aa21b.model;

/**
 * Aa21b14s01  
 * 
 *  
 */

public class Aa21b14s01 implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private String carchi14;
	private String darchi14;
	private String earchi14;
	private String situ14;
	private String bloq14;
	private String usub14;

	/**
	 * Method 'Aa21b14s01'.
	 */
	public Aa21b14s01() {
	}

	/**
	 * Method 'Aa21b14s01'.
	 * 
	 * @param carchi14
	 *            String
	 */
	public Aa21b14s01(String carchi14) {
		this.carchi14 = carchi14;
	}

	/**
	 * Method 'Aa21b14s01'.
	 * 
	 * @param carchi14
	 *            String
	 * @param darchi14
	 *            String
	 * @param earchi14
	 *            String
	 * @param situ14
	 *            String
	 */
	public Aa21b14s01(String carchi14, String darchi14, String earchi14,
			String situ14, String usub14) {

		this.carchi14 = carchi14;
		this.darchi14 = darchi14;
		this.earchi14 = earchi14;
		this.situ14 = situ14;
		this.usub14 = usub14;
	}

	/**
	 * Method 'getCarchi14'.
	 * 
	 * @return String
	 */

	public String getCarchi14() {
		return this.carchi14;
	}

	/**
	 * Method 'setCarchi14'.
	 * 
	 * @param carchi14
	 *            String
	 * @return
	 */

	public void setCarchi14(String carchi14) {
		this.carchi14 = carchi14;
	}

	/**
	 * Method 'getDarchi14'.
	 * 
	 * @return String
	 */

	public String getDarchi14() {
		return this.darchi14;
	}

	/**
	 * Method 'setDarchi14'.
	 * 
	 * @param darchi14
	 *            String
	 * @return
	 */

	public void setDarchi14(String darchi14) {
		this.darchi14 = darchi14;
	}

	/**
	 * Method 'getEarchi14'.
	 * 
	 * @return String
	 */

	public String getEarchi14() {
		return this.earchi14;
	}

	/**
	 * Method 'setEarchi14'.
	 * 
	 * @param earchi14
	 *            String
	 * @return
	 */

	public void setEarchi14(String earchi14) {
		this.earchi14 = earchi14;
	}

	/**
	 * Method 'getSitu14'.
	 * 
	 * @return String
	 */

	public String getSitu14() {
		return this.situ14;
	}

	/**
	 * Method 'setSitu14'.
	 * 
	 * @param situ14
	 *            String
	 * @return
	 */

	public void setSitu14(String situ14) {
		this.situ14 = situ14;
	}

	public String getBloq14() {
		return bloq14;
	}

	public void setBloq14(String bloq14) {
		this.bloq14 = bloq14;
	}

	public String getUsub14() {
		return usub14;
	}

	public void setUsub14(String usub14) {
		this.usub14 = usub14;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ carchi14: ").append(this.carchi14).append(" ]");
		result.append(", [ darchi14: ").append(this.darchi14).append(" ]");
		result.append(", [ earchi14: ").append(this.earchi14).append(" ]");
		result.append(", [ situ14: ").append(this.situ14).append(" ]");
		result.append(", [ bloq14: ").append(this.bloq14).append(" ]");
		result.append(", [ usub14: ").append(this.usub14).append(" ]");
		result.append("}");
		return result.toString();
	}

}
